org.springframework.data.repository.query

## Interface RepositoryQuery

    public interface RepositoryQuery

Interface for a query abstraction.

Author:
  Oliver Gierke, Christoph Strobl

### Method Summary

All Methods Instance Methods Abstract Methods
`Object` `execute(Object[] parameters)` Executes the `RepositoryQuery` with the given parameters.
`QueryMethod` `getQueryMethod()` Returns the related `QueryMethod`.

### Method Detail

#### execute

    @Nullable
    Object execute(Object[] parameters)

Executes the `RepositoryQuery` with the given parameters.

Parameters:
  `parameters` - must not be null.
Returns:
  execution result. Can be null.

#### getQueryMethod

    QueryMethod getQueryMethod()

Returns the related `QueryMethod`.

Returns:
  never null.